classification
Title: regrtests fail with segfault after failing calls to malloc
Type: Stage: resolved
Components: Library (Lib), macOS Versions:
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: jack__d, ned.deily, ronaldoussoren
Priority: normal Keywords: patch

Created on 2021-06-13 15:21 by jack__d, last changed 2021-06-16 16:26 by jack__d. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26707 merged jack__d, 2021-06-13 15:35
Messages (2)
msg395754 - (view) Author: Jack DeVries (jack__d) * Date: 2021-06-13 15:21
When running regrtests via `./python.exe -m test` on my system, several warnings about failing calls to malloc are generated during `test_decorators`. Then, a segmentation fault happens shortly thereafter in `test_descrtut`.

The most recent commit on the main branch as of this test run was 17b16e13bb444001534ed6fccb459084596c8bcf.

Here are some details about my system:

Model Name:	MacBook Pro
  Model Identifier:	MacBookPro12,1
  Processor Name:	Dual-Core Intel Core i5
  Processor Speed:	2.7 GHz
  Number of Processors:	1
  Total Number of Cores:	2
  L2 Cache (per Core):	256 KB
  L3 Cache:	3 MB
  Hyper-Threading Technology:	Enabled
  Memory:	8 GB
  System Firmware Version:	427.0.0.0.0
  SMC Version (system):	2.28f7
  Serial Number (system):	C02P9EMTFVH5
  Hardware UUID:	ABA9DB61-5A93-54BC-8057-6F0E0DA6544B
  Provisioning UDID:	ABA9DB61-5A93-54BC-8057-6F0E0DA6544B



Here is the full output from cloning all the way down to segfault
=================================================================


➜  tmp.kw3WJpEs git clone git@github.com:python/cpython.git . --depth=1
Cloning into '.'...
remote: Enumerating objects: 4779, done.
remote: Counting objects: 100% (4779/4779), done.
remote: Compressing objects: 100% (4362/4362), done.
remote: Total 4779 (delta 488), reused 1570 (delta 314), pack-reused 0
Receiving objects: 100% (4779/4779), 24.71 MiB | 11.00 MiB/s, done.
Resolving deltas: 100% (488/488), done.
Updating files: 100% (4537/4537), done.
➜  tmp.kw3WJpEs git:(main) ./configure --with-pydebug
checking for git... found
checking build system type... x86_64-apple-darwin20.5.0
checking host system type... x86_64-apple-darwin20.5.0
checking for python3.11... no
checking for python3... python3
checking for --enable-universalsdk... no
checking for --with-universal-archs... no
checking MACHDEP... "darwin"
Configured with: --prefix=/Library/Developer/CommandLineTools/usr --with-gxx-include-dir=/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/c++/4.2.1
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for a sed that does not truncate output... /usr/bin/sed
checking for --with-cxx-main=<compiler>... no
checking for g++... no
configure:

  By default, distutils will build C++ extension modules with "g++".
  If this is not intended, then set CXX on the configure command line.
  
checking for the platform triplet based on compiler characteristics... darwin
checking for -Wl,--no-as-needed... no
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for the Android API level... not Android
checking for --with-suffix... 
checking for case-insensitive build directory... yes
checking LIBRARY... libpython$(VERSION)$(ABIFLAGS).a
checking LINKCC... $(PURIFY) $(MAINCC)
checking EXPORTSYMS... 
checking for GNU ld... no
checking for --enable-shared... no
checking for --enable-profiling... no
checking LDLIBRARY... libpython$(VERSION)$(ABIFLAGS).a
checking for ar... ar
checking for readelf... no
checking for a BSD-compatible install... /usr/bin/install -c
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for --with-pydebug... yes
checking for --with-trace-refs... no
checking for --with-assertions... implied by --with-pydebug
checking for --enable-optimizations... no
checking PROFILE_TASK... -m test --pgo --timeout=$(TESTTIMEOUT)
checking for --with-lto... no
checking for llvm-profdata... no
configure: llvm-profdata found via xcrun: /usr/bin/xcrun llvm-profdata
checking for -Wextra... yes
checking whether gcc accepts and needs -fno-strict-aliasing... no
checking if we can turn off gcc unused result warning... yes
checking if we can turn off gcc unused parameter warning... yes
checking if we can turn off gcc missing field initializers warning... yes
checking if we can turn on gcc mixed sign comparison warning... yes
checking if we can turn on gcc unreachable code warning... no
checking if we can turn on gcc strict-prototypes warning... yes
checking if we can make implicit function declaration an error in gcc... yes
checking if we can use visibility in gcc... yes
checking which compiler should be used... gcc
checking which MACOSX_DEPLOYMENT_TARGET to use... 11.4
checking if specified universal architectures work... yes
checking whether pthreads are available without options... yes
checking whether g++ also accepts flags for thread support... no
checking for ANSI C header files... (cached) yes
checking asm/types.h usability... no
checking asm/types.h presence... no
checking for asm/types.h... no
checking crypt.h usability... no
checking crypt.h presence... no
checking for crypt.h... no
checking conio.h usability... no
checking conio.h presence... no
checking for conio.h... no
checking direct.h usability... no
checking direct.h presence... no
checking for direct.h... no
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking ieeefp.h usability... no
checking ieeefp.h presence... no
checking for ieeefp.h... no
checking io.h usability... no
checking io.h presence... no
checking for io.h... no
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking process.h usability... no
checking process.h presence... no
checking for process.h... no
checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
checking sched.h usability... yes
checking sched.h presence... yes
checking for sched.h... yes
checking shadow.h usability... no
checking shadow.h presence... no
checking for shadow.h... no
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking stropts.h usability... no
checking stropts.h presence... no
checking for stropts.h... no
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking utime.h usability... yes
checking utime.h presence... yes
checking for utime.h... yes
checking poll.h usability... yes
checking poll.h presence... yes
checking for poll.h... yes
checking sys/devpoll.h usability... no
checking sys/devpoll.h presence... no
checking for sys/devpoll.h... no
checking sys/epoll.h usability... no
checking sys/epoll.h presence... no
checking for sys/epoll.h... no
checking sys/poll.h usability... yes
checking sys/poll.h presence... yes
checking for sys/poll.h... yes
checking sys/audioio.h usability... no
checking sys/audioio.h presence... no
checking for sys/audioio.h... no
checking sys/xattr.h usability... yes
checking sys/xattr.h presence... yes
checking for sys/xattr.h... yes
checking sys/bsdtty.h usability... no
checking sys/bsdtty.h presence... no
checking for sys/bsdtty.h... no
checking sys/event.h usability... yes
checking sys/event.h presence... yes
checking for sys/event.h... yes
checking sys/file.h usability... yes
checking sys/file.h presence... yes
checking for sys/file.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/kern_control.h usability... yes
checking sys/kern_control.h presence... yes
checking for sys/kern_control.h... yes
checking sys/loadavg.h usability... no
checking sys/loadavg.h presence... no
checking for sys/loadavg.h... no
checking sys/lock.h usability... yes
checking sys/lock.h presence... yes
checking for sys/lock.h... yes
checking sys/mkdev.h usability... no
checking sys/mkdev.h presence... no
checking for sys/mkdev.h... no
checking sys/modem.h usability... no
checking sys/modem.h presence... no
checking for sys/modem.h... no
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/random.h usability... yes
checking sys/random.h presence... yes
checking for sys/random.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking sys/sendfile.h usability... no
checking sys/sendfile.h presence... no
checking for sys/sendfile.h... no
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/statvfs.h usability... yes
checking sys/statvfs.h presence... yes
checking for sys/statvfs.h... yes
checking for sys/stat.h... (cached) yes
checking sys/syscall.h usability... yes
checking sys/syscall.h presence... yes
checking for sys/syscall.h... yes
checking sys/sys_domain.h usability... yes
checking sys/sys_domain.h presence... yes
checking for sys/sys_domain.h... yes
checking sys/termio.h usability... no
checking sys/termio.h presence... no
checking for sys/termio.h... no
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/times.h usability... yes
checking sys/times.h presence... yes
checking for sys/times.h... yes
checking for sys/types.h... (cached) yes
checking sys/uio.h usability... yes
checking sys/uio.h presence... yes
checking for sys/uio.h... yes
checking sys/un.h usability... yes
checking sys/un.h presence... yes
checking for sys/un.h... yes
checking sys/utsname.h usability... yes
checking sys/utsname.h presence... yes
checking for sys/utsname.h... yes
checking sys/wait.h usability... yes
checking sys/wait.h presence... yes
checking for sys/wait.h... yes
checking pty.h usability... no
checking pty.h presence... no
checking for pty.h... no
checking libutil.h usability... no
checking libutil.h presence... no
checking for libutil.h... no
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking netpacket/packet.h usability... no
checking netpacket/packet.h presence... no
checking for netpacket/packet.h... no
checking sysexits.h usability... yes
checking sysexits.h presence... yes
checking for sysexits.h... yes
checking bluetooth.h usability... no
checking bluetooth.h presence... no
checking for bluetooth.h... no
checking linux/tipc.h usability... no
checking linux/tipc.h presence... no
checking for linux/tipc.h... no
checking linux/random.h usability... no
checking linux/random.h presence... no
checking for linux/random.h... no
checking spawn.h usability... yes
checking spawn.h presence... yes
checking for spawn.h... yes
checking util.h usability... yes
checking util.h presence... yes
checking for util.h... yes
checking alloca.h usability... yes
checking alloca.h presence... yes
checking for alloca.h... yes
checking endian.h usability... no
checking endian.h presence... no
checking for endian.h... no
checking sys/endian.h usability... no
checking sys/endian.h presence... no
checking for sys/endian.h... no
checking sys/sysmacros.h usability... no
checking sys/sysmacros.h presence... no
checking for sys/sysmacros.h... no
checking linux/memfd.h usability... no
checking linux/memfd.h presence... no
checking for linux/memfd.h... no
checking linux/wait.h usability... no
checking linux/wait.h presence... no
checking for linux/wait.h... no
checking sys/memfd.h usability... no
checking sys/memfd.h presence... no
checking for sys/memfd.h... no
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking sys/eventfd.h usability... no
checking sys/eventfd.h presence... no
checking for sys/eventfd.h... no
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether sys/types.h defines makedev... yes
checking bluetooth/bluetooth.h usability... no
checking bluetooth/bluetooth.h presence... no
checking for bluetooth/bluetooth.h... no
checking for net/if.h... yes
checking for linux/netlink.h... no
checking for linux/qrtr.h... no
checking for linux/vm_sockets.h... no
checking for linux/can.h... no
checking for linux/can/bcm.h... no
checking for linux/can/j1939.h... no
checking for linux/can/raw.h... no
checking for clock_t in time.h... yes
checking for makedev... yes
checking for le64toh... no
checking for mode_t... yes
checking for off_t... yes
checking for pid_t... yes
checking for size_t... yes
checking for uid_t in sys/types.h... yes
checking for ssize_t... yes
checking for __uint128_t... yes
checking size of int... 4
checking size of long... 8
checking alignment of long... 8
checking size of long long... 8
checking size of void *... 8
checking size of short... 2
checking size of float... 4
checking size of double... 8
checking size of fpos_t... 8
checking size of size_t... 8
checking alignment of size_t... 8
checking size of pid_t... 4
checking size of uintptr_t... 8
checking for long double... yes
checking size of long double... 16
checking size of _Bool... 1
checking size of off_t... 8
checking whether to enable large file support... no
checking size of time_t... 8
checking for pthread_t... yes
checking size of pthread_t... 8
checking size of pthread_key_t... 8
checking whether pthread_key_t is compatible with int... no
checking for --enable-framework... no
checking for dyld... always on for Darwin
checking the extension of shared libraries... .so
checking LDSHARED... $(CC) -bundle -undefined dynamic_lookup
checking CCSHARED... 
checking LINKFORSHARED... -Wl,-stack_size,1000000  -framework CoreFoundation
checking CFLAGSFORSHARED... 
checking SHLIBS... $(LIBS)
checking for sendfile in -lsendfile... no
checking for dlopen in -ldl... yes
checking for shl_load in -ldld... no
checking uuid/uuid.h usability... yes
checking uuid/uuid.h presence... yes
checking for uuid/uuid.h... yes
checking uuid.h usability... no
checking uuid.h presence... no
checking for uuid.h... no
checking for uuid_generate_time_safe... no
checking for uuid_create... no
checking for uuid_enc_be... no
checking for library containing sem_init... none required
checking for textdomain in -lintl... yes
checking aligned memory access is required... no
checking for --with-hash-algorithm... default
checking for --with-tzpath... "/usr/share/zoneinfo:/usr/lib/zoneinfo:/usr/share/lib/zoneinfo:/etc/zoneinfo"
checking for --with-address-sanitizer... no
checking for --with-memory-sanitizer... no
checking for --with-undefined-behavior-sanitizer... no
checking for t_open in -lnsl... no
checking for socket in -lsocket... no
checking for --with-libs... no
./configure: line 10530: PKG_PROG_PKG_CONFIG: command not found
checking for --with-system-expat... no
checking for --with-system-ffi... no
checking for --with-system-libmpdec... no
checking for --with-decimal-contextvar... yes
checking for --enable-loadable-sqlite-extensions... no
checking for --with-tcltk-includes... default
checking for --with-tcltk-libs... default
checking for --with-dbmliborder... 
checking if PTHREAD_SCOPE_SYSTEM is supported... yes
checking for pthread_sigmask... yes
checking for pthread_getcpuclockid... no
checking if --enable-ipv6 is specified... yes
checking if RFC2553 API is available... yes
checking ipv6 stack type... kame
using libc
checking for CAN_RAW_FD_FRAMES... no
checking for CAN_RAW_JOIN_FILTERS... no
checking for --with-doc-strings... yes
checking for --with-pymalloc... yes
checking for --with-c-locale-coercion... yes
checking for --with-valgrind... no
checking for --with-dtrace... no
checking for dlopen... yes
checking DYNLOADFILE... dynload_shlib.o
checking MACHDEP_OBJS... none
checking for alarm... yes
checking for accept4... no
checking for setitimer... yes
checking for getitimer... yes
checking for bind_textdomain_codeset... yes
checking for chown... yes
checking for clock... yes
checking for confstr... yes
checking for close_range... no
checking for copy_file_range... no
checking for ctermid... yes
checking for dup3... no
checking for execv... yes
checking for explicit_bzero... no
checking for explicit_memset... no
checking for faccessat... yes
checking for fchmod... yes
checking for fchmodat... yes
checking for fchown... yes
checking for fchownat... yes
checking for fdwalk... no
checking for fexecve... no
checking for fdopendir... yes
checking for fork... yes
checking for fpathconf... yes
checking for fstatat... yes
checking for ftime... yes
checking for ftruncate... yes
checking for futimesat... no
checking for futimens... yes
checking for futimes... yes
checking for gai_strerror... yes
checking for getentropy... yes
checking for getgrgid_r... yes
checking for getgrnam_r... yes
checking for getgrouplist... yes
checking for getgroups... yes
checking for getlogin... yes
checking for getloadavg... yes
checking for getpeername... yes
checking for getpgid... yes
checking for getpid... yes
checking for getpriority... yes
checking for getresuid... no
checking for getresgid... no
checking for getpwent... yes
checking for getpwnam_r... yes
checking for getpwuid_r... yes
checking for getspnam... no
checking for getspent... no
checking for getsid... yes
checking for getwd... yes
checking for if_nameindex... yes
checking for initgroups... yes
checking for kill... yes
checking for killpg... yes
checking for lchown... yes
checking for lockf... yes
checking for linkat... yes
checking for lstat... yes
checking for lutimes... yes
checking for mmap... yes
checking for memrchr... no
checking for mbrtowc... yes
checking for mkdirat... yes
checking for mkfifo... yes
checking for madvise... yes
checking for mkfifoat... no
checking for mknod... yes
checking for mknodat... no
checking for mktime... yes
checking for mremap... no
checking for nice... yes
checking for openat... yes
checking for pathconf... yes
checking for pause... yes
checking for pipe2... no
checking for plock... no
checking for poll... yes
checking for posix_fallocate... no
checking for posix_fadvise... no
checking for posix_spawn... yes
checking for posix_spawnp... yes
checking for pread... yes
checking for preadv... yes
checking for preadv2... no
checking for pthread_condattr_setclock... no
checking for pthread_init... no
checking for pthread_kill... yes
checking for pwrite... yes
checking for pwritev... yes
checking for pwritev2... no
checking for readlink... yes
checking for readlinkat... yes
checking for readv... yes
checking for realpath... yes
checking for renameat... yes
checking for sem_open... yes
checking for sem_timedwait... no
checking for sem_getvalue... yes
checking for sem_unlink... yes
checking for sendfile... yes
checking for setegid... yes
checking for seteuid... yes
checking for setgid... yes
checking for sethostname... yes
checking for setlocale... yes
checking for setregid... yes
checking for setreuid... yes
checking for setresuid... no
checking for setresgid... no
checking for setsid... yes
checking for setpgid... yes
checking for setpgrp... yes
checking for setpriority... yes
checking for setuid... yes
checking for setvbuf... yes
checking for sched_get_priority_max... yes
checking for sched_setaffinity... no
checking for sched_setscheduler... no
checking for sched_setparam... no
checking for sched_rr_get_interval... no
checking for sigaction... yes
checking for sigaltstack... yes
checking for sigfillset... yes
checking for siginterrupt... yes
checking for sigpending... yes
checking for sigrelse... yes
checking for sigtimedwait... no
checking for sigwait... yes
checking for sigwaitinfo... no
checking for snprintf... yes
checking for splice... no
checking for strftime... yes
checking for strlcpy... yes
checking for strsignal... yes
checking for symlinkat... yes
checking for sync... yes
checking for sysconf... yes
checking for tcgetpgrp... yes
checking for tcsetpgrp... yes
checking for tempnam... yes
checking for timegm... yes
checking for times... yes
checking for tmpfile... yes
checking for tmpnam... yes
checking for tmpnam_r... no
checking for truncate... yes
checking for uname... yes
checking for unlinkat... yes
checking for utimensat... yes
checking for utimes... yes
checking for vfork... yes
checking for waitid... yes
checking for waitpid... yes
checking for wait3... yes
checking for wait4... yes
checking for wcscoll... yes
checking for wcsftime... yes
checking for wcsxfrm... yes
checking for wmemcmp... yes
checking for writev... yes
checking for _getpty... no
checking for rtpSpawn... no
checking for lchmod... yes
checking whether dirfd is declared... yes
checking for chroot... yes
checking for link... yes
checking for symlink... yes
checking for fchdir... yes
checking for fsync... yes
checking for fdatasync... no
checking for epoll... no
checking for epoll_create1... no
checking for kqueue... yes
checking for prlimit... no
checking for _dyld_shared_cache_contains_path... yes
checking for memfd_create... no
checking for eventfd... no
checking for ctermid_r... yes
checking for flock declaration... yes
checking for flock... yes
checking for getpagesize... yes
checking for broken unsetenv... no
checking for true... true
checking for inet_aton in -lc... yes
checking for chflags... yes
checking for lchflags... yes
checking for inflateCopy in -lz... yes
checking for hstrerror... yes
checking for inet_aton... yes
checking for inet_pton... yes
checking for setgroups... yes
checking for openpty... yes
checking for forkpty... yes
checking for fseek64... no
checking for fseeko... yes
checking for fstatvfs... yes
checking for ftell64... no
checking for ftello... yes
checking for statvfs... yes
checking for dup2... yes
checking for getpgrp... yes
checking for setpgrp... (cached) yes
checking for library containing crypt... none required
checking for library containing crypt_r... no
checking for crypt_r... no
checking for clock_gettime... yes
checking for clock_getres... yes
checking for clock_settime... yes
checking for major... yes
checking for getaddrinfo... yes
checking getaddrinfo bug... no
checking for getnameinfo... yes
checking whether time.h and sys/time.h may both be included... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for struct tm.tm_zone... yes
checking for struct stat.st_rdev... yes
checking for struct stat.st_blksize... yes
checking for struct stat.st_flags... yes
checking for struct stat.st_gen... yes
checking for struct stat.st_birthtime... yes
checking for struct stat.st_blocks... yes
checking for struct passwd.pw_gecos... yes
checking for struct passwd.pw_passwd... yes
checking for siginfo_t.si_band... yes
checking for time.h that defines altzone... no
checking whether sys/select.h and sys/time.h may both be included... yes
checking for addrinfo... yes
checking for sockaddr_storage... yes
checking for sockaddr_alg... no
checking whether char is unsigned... no
checking for an ANSI C-conforming const... yes
checking for working signed char... yes
checking for prototypes... yes
checking for variable length prototypes and stdarg.h... yes
checking for socketpair... yes
checking if sockaddr has sa_len member... yes
checking for gethostbyname_r... no
checking for gethostbyname... yes
checking for __fpu_control... no
checking for __fpu_control in -lieee... no
checking for --with-libm=STRING... default LIBM=""
checking for --with-libc=STRING... default LIBC=""
checking for x64 gcc inline assembler... yes
checking whether float word ordering is bigendian... no
checking whether we can use gcc inline assembler to get and set x87 control word... yes
checking whether we can use gcc inline assembler to get and set mc68881 fpcr... no
checking for x87-style double rounding... no
checking for acosh... yes
checking for asinh... yes
checking for atanh... yes
checking for copysign... yes
checking for erf... yes
checking for erfc... yes
checking for expm1... yes
checking for finite... yes
checking for gamma... yes
checking for hypot... yes
checking for lgamma... yes
checking for log1p... yes
checking for log2... yes
checking for round... yes
checking for tgamma... yes
checking whether isinf is declared... yes
checking whether isnan is declared... yes
checking whether isfinite is declared... yes
checking whether POSIX semaphores are enabled... yes
checking for broken sem_getvalue... yes
checking whether RTLD_LAZY is declared... yes
checking whether RTLD_NOW is declared... yes
checking whether RTLD_GLOBAL is declared... yes
checking whether RTLD_LOCAL is declared... yes
checking whether RTLD_NODELETE is declared... yes
checking whether RTLD_NOLOAD is declared... yes
checking whether RTLD_DEEPBIND is declared... no
checking whether RTLD_MEMBER is declared... no
checking digit size for Python's longs... no value specified
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking size of wchar_t... 4
checking for UCS-4 tcl... no
checking whether wchar_t is signed... yes
checking whether wchar_t is usable... no
checking whether byte ordering is bigendian... no
checking ABIFLAGS... d
checking SOABI... cpython-311d-darwin
checking LDVERSION... $(VERSION)$(ABIFLAGS)
checking for --with-platlibdir... no
checking for --with-wheel-pkg-dir... no
checking whether right shift extends the sign bit... yes
checking for getc_unlocked() and friends... yes
checking how to link readline libs... -lreadline
checking whether rl_completion_append_character is declared... yes
checking whether rl_completion_suppress_append is declared... no
checking for rl_pre_input_hook in -lreadline... yes
checking for rl_completion_display_matches_hook in -lreadline... yes
checking for rl_resize_terminal in -lreadline... no
checking for rl_completion_matches in -lreadline... yes
checking whether rl_catch_signals is declared... no
checking for append_history in -lreadline... no
checking for broken nice()... no
checking for broken poll()... no
checking for working tzset()... yes
checking for tv_nsec in struct stat... no
checking for tv_nsec2 in struct stat... yes
checking curses.h usability... yes
checking curses.h presence... yes
checking for curses.h... yes
checking ncurses.h usability... yes
checking ncurses.h presence... yes
checking for ncurses.h... yes
checking for term.h... yes
checking whether mvwdelch is an expression... yes
checking whether WINDOW has _flags... yes
checking for is_pad... no
checking for is_term_resized... yes
checking for resize_term... yes
checking for resizeterm... yes
checking for immedok... yes
checking for syncok... yes
checking for wchgat... yes
checking for filter... yes
checking for has_key... yes
checking for typeahead... yes
checking for use_env... yes
configure: checking for device files
checking for /dev/ptmx... yes
checking for /dev/ptc... no
checking for %zd printf() format support... yes
checking for socklen_t... yes
checking for broken mbstowcs... no
checking for --with-computed-gotos... no value specified
checking whether gcc supports computed gotos... yes
checking for build directories... done
checking for -O2... yes
checking for glibc _FORTIFY_SOURCE/memmove bug... no
checking for gcc ipa-pure-const bug... no
checking for stdatomic.h... yes
checking for builtin __atomic_load_n and __atomic_store_n functions... yes
checking for ensurepip... upgrade
checking if the dirent structure of a d_type field... yes
checking for the Linux getrandom() syscall... no
checking for the getrandom() function... no
checking for library containing shm_open... none required
checking for sys/mman.h... (cached) yes
checking for shm_open... yes
checking for shm_unlink... yes
checking for pkg-config... pkg-config
checking whether compiling and linking against OpenSSL works... yes
checking for --with-openssl-rpath... 
checking for --with-ssl-default-suites... python
checking for --with-builtin-hashlib-hashes... md5,sha1,sha256,sha512,sha3,blake2
checking for --with-experimental-isolated-subinterpreters... no
checking for --with-static-libpython... yes
checking for --disable-test-modules... no
configure: creating ./config.status
config.status: creating Makefile.pre
config.status: creating Misc/python.pc
config.status: creating Misc/python-embed.pc
config.status: creating Misc/python-config.sh
config.status: creating Modules/ld_so_aix
config.status: creating pyconfig.h
creating Modules/Setup.local
creating Makefile
➜  tmp.kw3WJpEs git:(main) make -s -j
/Library/Developer/CommandLineTools/usr/bin/ranlib: file: libpython3.11d.a(dynamic_annotations.o) has no symbols
/Library/Developer/CommandLineTools/usr/bin/ranlib: file: libpython3.11d.a(pymath.o) has no symbols
 CC='gcc' LDSHARED='gcc -bundle -undefined dynamic_lookup    ' OPT='-g -O0 -Wall' 	_TCLTK_INCLUDES='' _TCLTK_LIBS='' 	./python.exe -E ./setup.py -q build
ld: warning: directory not found for option '-L/usr/lib/termcap'
/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Modules/_sqlite/module.c:145:10: warning: 
      'sqlite3_enable_shared_cache' is deprecated: first deprecated in macOS 10.7 - Not supported [-Wdeprecated-declarations]
    rc = sqlite3_enable_shared_cache(do_enable);
         ^
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/sqlite3.h:6341:16: note: 'sqlite3_enable_shared_cache' has been explicitly
      marked deprecated here
SQLITE_API int sqlite3_enable_shared_cache(int);
               ^
1 warning generated.
/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Modules/_tkinter.c:2927:12: warning: 'Tk_GetNumMainWindows' is
      deprecated: first deprecated in macOS 10.15 - Tk API deprecated. [-Wdeprecated-declarations]
    while (Tk_GetNumMainWindows() > threshold &&
           ^
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/Tk.framework/Headers/tkDecls.h:673:13: note: 
      'Tk_GetNumMainWindows' has been explicitly marked deprecated here
EXTERN int              Tk_GetNumMainWindows(void);
                        ^
/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Modules/_tkinter.c:3054:13: warning: 'Tk_Init' is deprecated: first
      deprecated in macOS 10.15 - Tk API deprecated. [-Wdeprecated-declarations]
        if (Tk_Init(interp)             == TCL_ERROR) {
            ^
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/Tk.framework/Headers/tkDecls.h:769:13: note: 'Tk_Init' has been
      explicitly marked deprecated here
EXTERN int              Tk_Init(Tcl_Interp *interp);
                        ^
/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Modules/_tkinter.c:3450:9: warning: 'Tk_GetNumMainWindows' is
      deprecated: first deprecated in macOS 10.15 - Tk API deprecated. [-Wdeprecated-declarations]
    if (Tk_GetNumMainWindows() == 0 && PyOS_InputHook == EventHook) {
        ^
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/Tk.framework/Headers/tkDecls.h:673:13: note: 
      'Tk_GetNumMainWindows' has been explicitly marked deprecated here
EXTERN int              Tk_GetNumMainWindows(void);
                        ^
3 warnings generated.
/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Modules/tkappinit.c:105:9: warning: 'Tk_Init' is deprecated: first
      deprecated in macOS 10.15 - Tk API deprecated. [-Wdeprecated-declarations]
    if (Tk_Init(interp) == TCL_ERROR) {
        ^
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/Tk.framework/Headers/tkDecls.h:769:13: note: 'Tk_Init' has been
      explicitly marked deprecated here
EXTERN int              Tk_Init(Tcl_Interp *interp);
                        ^
/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Modules/tkappinit.c:113:5: warning: 'Tk_MainWindow' is deprecated:
      first deprecated in macOS 10.15 - Tk API deprecated. [-Wdeprecated-declarations]
    Tk_MainWindow(interp);
    ^
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/Tk.framework/Headers/tkDecls.h:792:18: note: 'Tk_MainWindow'
      has been explicitly marked deprecated here
EXTERN Tk_Window        Tk_MainWindow(Tcl_Interp *interp);
                        ^
2 warnings generated.

Python build finished successfully!
The necessary bits to build these optional modules were not found:
ossaudiodev           spwd                                     
To find the necessary bits, look in setup.py in detect_modules() for the module's name.


The following modules found by detect_modules() in setup.py, have been
built by the Makefile instead, as configured by the Setup files:
_abc                  pwd                   time               

➜  tmp.kw3WJpEs git:(main) ./python.exe -m test
== CPython 3.11.0a0 (heads/main:17b16e1, Jun 13 2021, 00:58:47) [Clang 12.0.0 (clang-1200.0.32.27)]
== macOS-11.4-x86_64-i386-64bit little-endian
== cwd: /private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/build/test_python_37107æ
== CPU count: 4
== encodings: locale=UTF-8, FS=utf-8
0:00:00 load avg: 27.15 Run tests sequentially
0:00:00 load avg: 27.15 [  1/427] test_grammar
0:00:00 load avg: 27.15 [  2/427] test_opcodes
0:00:00 load avg: 27.15 [  3/427] test_dict
0:00:02 load avg: 27.15 [  4/427] test_builtin
0:00:04 load avg: 27.15 [  5/427] test_exceptions
0:00:07 load avg: 25.22 [  6/427] test_types
0:00:08 load avg: 25.22 [  7/427] test_unittest
0:00:22 load avg: 20.29 [  8/427] test_doctest
0:00:27 load avg: 19.06 [  9/427] test_doctest2
0:00:27 load avg: 19.06 [ 10/427] test_support
0:00:40 load avg: 15.65 [ 11/427] test___all__
0:00:51 load avg: 13.62 [ 12/427] test___future__
0:00:52 load avg: 13.62 [ 13/427] test__locale
0:00:53 load avg: 13.62 [ 14/427] test__opcode
0:00:55 load avg: 12.85 [ 15/427] test__osx_support
0:00:56 load avg: 12.85 [ 16/427] test__xxsubinterpreters
0:01:02 load avg: 11.98 [ 17/427] test_abc
0:01:03 load avg: 11.98 [ 18/427] test_abstract_numbers
0:01:04 load avg: 11.98 [ 19/427] test_aifc
0:01:06 load avg: 11.26 [ 20/427] test_argparse
0:01:19 load avg: 10.06 [ 21/427] test_array
0:01:29 load avg: 9.36 [ 22/427] test_asdl_parser
0:01:30 load avg: 8.85 [ 23/427] test_ast
0:01:42 load avg: 8.10 [ 24/427] test_asyncgen
0:01:44 load avg: 8.10 [ 25/427] test_asynchat
0:01:47 load avg: 7.70 [ 26/427] test_asyncio
0:06:25 load avg: 2.97 [ 27/427] test_asyncore -- test_asyncio passed in 4 min 38 sec
0:06:28 load avg: 3.77 [ 28/427] test_atexit
0:06:30 load avg: 3.77 [ 29/427] test_audioop
0:06:32 load avg: 3.77 [ 30/427] test_audit
0:06:38 load avg: 4.30 [ 31/427] test_augassign
0:06:40 load avg: 4.30 [ 32/427] test_base64
0:06:42 load avg: 4.30 [ 33/427] test_baseexception
0:06:44 load avg: 4.35 [ 34/427] test_bdb
0:06:46 load avg: 4.35 [ 35/427] test_bigaddrspace
0:06:47 load avg: 4.35 [ 36/427] test_bigmem
0:06:48 load avg: 4.16 [ 37/427] test_binascii
0:06:50 load avg: 4.16 [ 38/427] test_binhex
0:06:51 load avg: 4.16 [ 39/427] test_binop
0:06:52 load avg: 4.16 [ 40/427] test_bisect
0:06:54 load avg: 4.71 [ 41/427] test_bool
0:06:56 load avg: 4.71 [ 42/427] test_buffer
0:07:37 load avg: 6.24 [ 43/427] test_bufio -- test_buffer passed in 40.9 sec
0:07:46 load avg: 11.70 [ 44/427] test_bytes
0:08:07 load avg: 11.21 [ 45/427] test_bz2
0:08:18 load avg: 12.44 [ 46/427] test_c_locale_coercion
0:08:25 load avg: 11.45 [ 47/427] test_calendar
0:08:35 load avg: 10.14 [ 48/427] test_call
0:08:37 load avg: 10.14 [ 49/427] test_capi
0:08:49 load avg: 8.47 [ 50/427] test_cgi
0:08:50 load avg: 8.47 [ 51/427] test_cgitb
0:08:53 load avg: 8.47 [ 52/427] test_charmapcodec
0:08:54 load avg: 8.47 [ 53/427] test_check_c_globals
/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Tools/c-analyzer/c_common/tables.py:236: FutureWarning: Possible nested set at position 12
  _COLSPEC_RE = re.compile(textwrap.dedent(r'''
0:08:55 load avg: 7.87 [ 54/427] test_class
0:08:57 load avg: 7.87 [ 55/427] test_clinic
0:08:59 load avg: 7.87 [ 56/427] test_cmath
0:09:00 load avg: 7.40 [ 57/427] test_cmd
0:09:02 load avg: 7.40 [ 58/427] test_cmd_line
0:09:11 load avg: 6.65 [ 59/427] test_cmd_line_script
0:09:22 load avg: 6.00 [ 60/427] test_code
0:09:24 load avg: 6.00 [ 61/427] test_code_module
0:09:25 load avg: 5.84 [ 62/427] test_codeccallbacks
0:09:27 load avg: 5.84 [ 63/427] test_codecencodings_cn
0:09:29 load avg: 5.84 [ 64/427] test_codecencodings_hk
0:09:31 load avg: 5.70 [ 65/427] test_codecencodings_iso2022
0:09:33 load avg: 5.70 [ 66/427] test_codecencodings_jp
0:09:37 load avg: 5.48 [ 67/427] test_codecencodings_kr
0:09:39 load avg: 5.48 [ 68/427] test_codecencodings_tw
0:09:40 load avg: 5.28 [ 69/427] test_codecmaps_cn
0:09:42 load avg: 5.28 [ 70/427] test_codecmaps_hk
0:09:43 load avg: 5.28 [ 71/427] test_codecmaps_jp
0:09:45 load avg: 5.18 [ 72/427] test_codecmaps_kr
0:09:46 load avg: 5.18 [ 73/427] test_codecmaps_tw
0:09:48 load avg: 5.18 [ 74/427] test_codecs
0:09:54 load avg: 5.00 [ 75/427] test_codeop
0:09:56 load avg: 5.08 [ 76/427] test_collections
0:10:03 load avg: 5.00 [ 77/427] test_colorsys
0:10:05 load avg: 4.76 [ 78/427] test_compare
0:10:06 load avg: 4.76 [ 79/427] test_compile
0:10:19 load avg: 4.56 [ 80/427] test_compileall
0:10:58 load avg: 3.53 [ 81/427] test_complex -- test_compileall passed in 38.7 sec
0:11:00 load avg: 3.41 [ 82/427] test_concurrent_futures
0:14:26 load avg: 2.90 [ 83/427] test_configparser -- test_concurrent_futures passed in 3 min 26 sec
0:14:30 load avg: 2.82 [ 84/427] test_contains
0:14:31 load avg: 2.82 [ 85/427] test_context
0:14:38 load avg: 2.78 [ 86/427] test_contextlib
0:14:40 load avg: 2.78 [ 87/427] test_contextlib_async
Task was destroyed but it is pending!
task: <Task pending name='Task-4443' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-4445' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-4451' coro=<<async_generator_athrow without __name__>()>>
0:14:42 load avg: 2.78 [ 88/427] test_copy
0:14:43 load avg: 2.63 [ 89/427] test_copyreg
0:14:45 load avg: 2.63 [ 90/427] test_coroutines
0:14:49 load avg: 2.58 [ 91/427] test_cprofile
0:14:54 load avg: 2.54 [ 92/427] test_crashers
0:14:56 load avg: 2.54 [ 93/427] test_crypt
0:14:57 load avg: 2.54 [ 94/427] test_csv
0:15:09 load avg: 2.71 [ 95/427] test_ctypes
0:15:15 load avg: 2.65 [ 96/427] test_curses
test_curses skipped -- Use of the 'curses' resource not enabled
0:15:16 load avg: 2.65 [ 97/427] test_dataclasses -- test_curses skipped (resource denied)
0:15:19 load avg: 2.84 [ 98/427] test_datetime
0:15:33 load avg: 2.71 [ 99/427] test_dbm
0:15:35 load avg: 2.49 [100/427] test_dbm_dumb
0:15:38 load avg: 2.49 [101/427] test_dbm_gnu
0:15:40 load avg: 2.37 [102/427] test_dbm_ndbm
0:15:42 load avg: 2.37 [103/427] test_decimal
python.exe(37107,0x10189fe00) malloc: can't allocate region
:*** mach_vm_map(size=842105263157895168, flags: 100) failed (error code=3)
python.exe(37107,0x10189fe00) malloc: *** set a breakpoint in malloc_error_break to debug
python.exe(37107,0x10189fe00) malloc: can't allocate region
:*** mach_vm_map(size=842105263157895168, flags: 100) failed (error code=3)
python.exe(37107,0x10189fe00) malloc: *** set a breakpoint in malloc_error_break to debug
python.exe(37107,0x10189fe00) malloc: can't allocate region
:*** mach_vm_map(size=421052631578947584, flags: 100) failed (error code=3)
python.exe(37107,0x10189fe00) malloc: *** set a breakpoint in malloc_error_break to debug
python.exe(37107,0x10189fe00) malloc: can't allocate region
:*** mach_vm_map(size=421052631578947584, flags: 100) failed (error code=3)
python.exe(37107,0x10189fe00) malloc: *** set a breakpoint in malloc_error_break to debug
0:16:03 load avg: 2.19 [104/427] test_decorators
0:16:05 load avg: 2.25 [105/427] test_defaultdict
0:16:06 load avg: 2.25 [106/427] test_deque
0:16:25 load avg: 2.28 [107/427] test_descr
Fatal Python error: Segmentation fault

Current thread 0x000000010189fe00 (most recent call first):
  File "<frozen importlib._bootstrap>", line 306 in _module_repr
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/test_descr.py", line 3696 in test_uninitialized_modules
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/unittest/case.py", line 549 in _callTestMethod
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/unittest/case.py", line 592 in run
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/unittest/case.py", line 652 in __call__
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/unittest/suite.py", line 122 in run
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/unittest/suite.py", line 84 in __call__
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/unittest/suite.py", line 122 in run
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/unittest/suite.py", line 84 in __call__
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/support/testresult.py", line 169 in run
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/support/__init__.py", line 960 in _run_suite
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/support/__init__.py", line 1083 in run_unittest
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/test_descr.py", line 5734 in test_main
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/runtest.py", line 246 in _runtest_inner2
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/runtest.py", line 282 in _runtest_inner
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/runtest.py", line 154 in _runtest
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/runtest.py", line 194 in runtest
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/main.py", line 423 in run_tests_sequential
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/main.py", line 521 in run_tests
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/main.py", line 694 in _main
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/main.py", line 641 in main
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/libregrtest/main.py", line 719 in main
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/test/__main__.py", line 2 in <module>
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/runpy.py", line 86 in _run_code
  File "/private/var/folders/wt/twzkdpd53g182wvx2s1n_6540000gn/T/tmp.kw3WJpEs/Lib/runpy.py", line 196 in _run_module_as_main

Extension modules: _testcapi, _scproxy, _xxsubinterpreters, _testbuffer, _testinternalcapi, _ctypes_test, xxsubtype (total: 7)
[1]    37107 segmentation fault  ./python.exe -m test
msg395949 - (view) Author: Jack DeVries (jack__d) * Date: 2021-06-16 16:25
I'm closing this because I have the sense that this is a problem with my system, but I'm continuing to investigate.
History
Date User Action Args
2021-06-16 16:26:07jack__dsetstatus: open -> closed
resolution: not a bug
stage: patch review -> resolved
2021-06-16 16:25:58jack__dsetmessages: + msg395949
2021-06-13 15:35:00jack__dsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25295
2021-06-13 15:22:27jack__dsetnosy: + ronaldoussoren, ned.deily
components: + Library (Lib), macOS
2021-06-13 15:21:10jack__dcreate